Bug 1126867 - JTA separate DS - Sybase
Summary: JTA separate DS - Sybase
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR01
: ---
Assignee: mposolda
QA Contact: vramik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 13:37 UTC by vramik
Modified: 2015-03-04 12:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-11 13:37:05 UTC
Type: Bug


Attachments (Terms of Use)
standalone.xml (23.13 KB, text/xml)
2014-08-07 13:23 UTC, Tomas Kyjovsky
no flags Details

Description vramik 2014-08-05 13:37:02 UTC
Description of problem:
I cannot start portal configured to use JTA (two separate XA Datasources) according to https://docs.jboss.org/author/display/GTNPORTAL38/JTA+integration with Sybase DB

There is link to logs:
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EPP/view/EPP/view/6.2/view/UI%20Database%20Support/job/epp6_ui_selenium_tests_db_sybase157/141/consoleText

Comment 2 mposolda 2014-08-06 15:38:44 UTC
It's failing due to the usage of same database. See https://bugzilla.redhat.com/show_bug.cgi?id=1126863#c2

Comment 3 Tomas Kyjovsky 2014-08-07 13:23:02 UTC
Created attachment 924915 [details]
standalone.xml

For Sybase the test was actually configured with separate databases. Attaching standalone.xml from the jenkins build #141.

Comment 4 Tomas Kyjovsky 2014-08-11 13:37:05 UTC
As we don't have separate instances of Sybase I tested a shared xa-datasource, as suggested by Marek in the updated docs, in section 2b.:

"So if you have just 1 database and want to use JTA, you need to use shared datasource for both IDM and JCR. Note that it's better to use XA datasource if supported by your database as you won't have "Last resource" limitation mentioned in previous section."

Portal in this config started without errors. Quick manual test (CRUD for page and user) didn't reveal any problems.

Comment 5 Tomas Kyjovsky 2015-03-04 12:18:42 UTC
Retested the same way with 6.2.0.ER8 (as described in Comment 4).


Note You need to log in before you can comment on or make changes to this bug.